import socket
import subprocess
import random
import string

def begin_server_test(test_id):
    control_sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    control_sock.connect(("10.0.2.2", 8090))
    control_sock.send(test_id)
    assert control_sock.recv(1) == b"+", "invalid control command from server"
    return control_sock

def end_server_test(control_sock):
    server_result = control_sock.recv(1)
    assert server_result == b"0", f"test failed the server-side checks (result {server_result})"

def run_transmitter(args, stdin_content):
    if stdin_content is not None:
        res = subprocess.run(["../transmitter", *args], input=stdin_content, capture_output=True)
        res.check_returncode()
    else:
        res = subprocess.Popen(["../transmitter", *args], stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    return res

def make_random_lines(line_size):
    random.seed(10)
    lines = list(
        bytes(
            "".join(random.choices(string.ascii_lowercase, k=line_size)),
            encoding='ascii',
        )
        for _ in range(5)
    )
    return [line + b"\n" for line in lines]
