#!/usr/bin/env python3

from common import begin_server_test, end_server_test, run_transmitter, make_random_lines

LINE_SIZE = 1_000_000

def main():
    addrs = ["10.0.2.2:8091", "10.0.2.2:8092", "10.0.2.2:8093", "10.0.2.2:8094", "10.0.2.2:8095"]
    res = run_transmitter(addrs, b"Lorem\nipsum\ndolor\nsit\namet\n")

    assert not res.stdout, f"wrong stdout content: {res.stdout}"

    assert res.stderr[-1:] == b"\n", "incomplete last line"

    stderr_lines = res.stderr[:-1].split(b"\n")
    assert len(stderr_lines) == 25, "wrong number of error lines"

    for addr in addrs:
        assert stderr_lines.count(bytes(f"{addr} - connect error: Connection refused", encoding='ascii')) == 5, \
                f"wrong number or incorrect error messages for {addr}"

if __name__ == '__main__':
    main()
