#!/usr/bin/env python3

from common import begin_server_test, end_server_test, run_transmitter

def main():
    with begin_server_test(b"D") as control_sock:
        res = run_transmitter(["10.0.2.2:8091"], b"Lorem\nipsum\ndolor\nsit\namet\n")
        assert not res.stdout, f"wrong stdout content: {res.stdout}"
        assert not res.stderr, f"wrong stderr content: {res.stderr}"

        end_server_test(control_sock)

if __name__ == '__main__':
    main()
