#!/usr/bin/env python3

from common import begin_server_test, end_server_test, run_transmitter

def main():
    with begin_server_test(b"C") as control_sock:
        res = run_transmitter(["10.0.2.2:8091", "10.0.2.2:8092", "10.0.2.2:8093", "10.0.2.2:8094", "10.0.2.2:8095"], b"Lorem ipsum dolor sit amet\n")
        assert not res.stdout, f"wrong stdout content: {res.stdout}"
        assert not res.stderr, f"wrong stderr content: {res.stderr}"

        end_server_test(control_sock)

if __name__ == '__main__':
    main()
