#!/usr/bin/env python3

from common import check_download, MEDIUM_FILE
from multiprocessing import Process

def main():
    processes = []
    for _ in range(10):
        processes.append(Process(target=check_download, args=(MEDIUM_FILE,)))

    for process in processes:
        process.start()

    for process in processes:
        process.join()
        assert process.exitcode == 0, "download error"

if __name__ == '__main__':
    main()
