#!/usr/bin/bash

if ! pip show reqests >/dev/null 2>&1 && ! pip show netifaces >/dev/null 2>&1; then
    echo Before running the tests install the packages in requirements.txt
    exit 1
fi

TESTS="concurrent_medium_downloads.py dhcp_works.py interface_exists.py large_download.py large_echo.py reset_interface.py small_download.py small_echo.py stats_after_download.py stats_idle.py"

TESTS_COUNT=$(wc -w <<< $TESTS)
PASSED=0

for x in $TESTS; do
    echo === $x ===
    if ./$x ; then
        ((++PASSED))
        echo OK
    else
        echo Failed
    fi
done

if ((PASSED == TESTS_COUNT)); then
    echo All passed
    exit 0
else
    echo Some tests failed
    exit 1
fi
