#!/usr/bin/env python3

import subprocess
from common import check_download, FILE_5_MB, check_stats_diff, get_stats

# These are rough empirical estimates - check your values if you fail this test
STATS_MIN_DIFF = {
    'rx_packets': 2_600,
    'tx_packets': 300,
    'rx_bytes': 4_100_000,
    'tx_bytes': 20_000,
    'rx_dropped': 0,
    'tx_dropped': 0,
    'rx_missed_errors': 10,
}
STATS_MAX_DIFF = {
    'rx_packets': 3_800,
    'tx_packets': 900,
    'rx_bytes': 5_200_000,
    'tx_bytes': 60_000,
    'rx_dropped': 0,
    'tx_dropped': 0,
    'rx_missed_errors': 1000,
}

def main():
    stats_before = get_stats()

    check_download(FILE_5_MB)

    stats_after = get_stats()

    check_stats_diff(stats_before, stats_after, STATS_MIN_DIFF, STATS_MAX_DIFF)

if __name__ == '__main__':
    main()
