#!/usr/bin/env python3

from pathlib import Path
from common import get_stats, check_stats_diff
from time import sleep

# These are rough empirical estimates - check your values if you fail this test
STATS_MIN_DIFF = {}
STATS_MAX_DIFF = {
    'rx_packets': 10,
    'tx_packets': 10,
    'rx_bytes': 1000,
    'tx_bytes': 1000,
    'rx_dropped': 0,
    'tx_dropped': 0,
    'rx_missed_errors': 0,
}

def main():
    stats_before = get_stats()

    sleep(1)

    stats_after = get_stats()

    check_stats_diff(stats_before, stats_after, STATS_MIN_DIFF, STATS_MAX_DIFF)

if __name__ == '__main__':
    main()
